> For a complete page index, fetch https://developer.close.com/llms.txt # List Groups for your organization GET https://api.close.com/api/v1/group/ Note that list endpoint does not support retrieving members for all groups. Use individual group endpoint instead. Reference: https://developer.close.com/api/resources/groups/list ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `_fields` (string, optional) — Comma-separated list of fields to include in the response. ## Response ### 200 Successful response - `data` (list of Group, required) - `has_more` (boolean, required) ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Types ### Group - `id` (string, required) - `name` (string, required) - `organization_id` (string, required) - `members` (list of GroupMember, optional, nullable) ### GroupMember - `user_id` (string, required) ## Examples **Response** ```json { "data": [ { "id": "group_57P6QUf8b4BlepZJYgRj5W", "name": "Support", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH" } ], "has_more": false } ``` **SDK Code** ```python groups_list_example import requests url = "https://api.close.com/api/v1/group/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript groups_list_example const url = 'https://api.close.com/api/v1/group/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go groups_list_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/group/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby groups_list_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/group/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java groups_list_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/group/") .basicAuth("", "") .asString(); ``` ```php groups_list_example request('GET', 'https://api.close.com/api/v1/group/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp groups_list_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/group/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```